/* ##### STYLES FOR PANDA NAVIGATION ###### */

@import "../variables";

nav {
	position: fixed;
	height: 100%;
	width: 200px;
	float: left;
	z-index: 200;
	background: white;
	box-shadow: $drop_shadow_right;

	.panda {
		display: flex;
		justify-content: center;

		a {
			display: block;
			width: 65%;
			height: 130px;
			margin: 45px 0;

			svg {
				fill: $deep_midnight;
				height: 130px;
			} // end svg
		} // end link
	} // end panda

	hr {
		margin: 0 30px 30px;
		border: none;
		background: $deep_midnight;
		height: 1px;
	}

	ul {
		list-style-type: none;
		margin: 0 0 0 30px;
		padding: 0;

		li {
			margin: 19px 0;

			&.active {
				font-weight: bolder;
			}

			&:hover {
				font-weight: bolder;
			}

			a {
				display: block;
				height: 25px;

				.icon svg {
					height: 16px;
					position: relative;
					bottom: -1px;
					fill: $deep_midnight;
				}

				.label {
					margin-left: 8px;
					font-size: 1.1em;
				}
			}
		}
	} // end ul

	.logged-in-user {
		position: absolute;
		bottom: 30px;
		margin-left: 30px;
		font-size: 0.9em;
		color: #9E9E9E;
	}
} // end nav

/* ########## HAMBURGER MENU ########## */
@import "../hamburger";

/* ########## HAMBURGER MENU ########## */
#hamburger-menu {
	top: 20px;
	right: 20px;
	bottom: auto;
	margin: 7px 0;

	> div {
		background: $deep_midnight;
	}

	#two {
		background: $deep_midnight;
	}
} // end hamburger

/* ########## PANDA NAVIGATION MOBILE ########## */
@media (max-width: $mobile-bp) {
	header {
		position: fixed;
		z-index: 1000;
		width: 100%;
		height: 80px;
		background: white;
		box-shadow: $drop_shadow;

		.panda {
			position: absolute;
			z-index: 9999;
			top: 20px;
			left: 20px;
			height: 20px;

			a {
				display: block;

				svg {
					height: 40px;
				} // end svg
			} // end link
		} // end panda

		nav {
			position: fixed;
			right: 0;
			top: 0;
			bottom: 0;
			left: 100%;
			background: white;
			float: none;
			width: auto;
			margin: 0;
			box-shadow: $drop_shadow_left;
			transition: left 300ms;

			&.menu-open {
				left: 80px;
				transition: left 300ms;
			} // end menu open

			.panda {
				display: none;
			} // end panda

			hr {
				display: none;
			} // end hr

			ul {
				margin: 100px 0 0 40px;

				li {
					font-size: 23px;
					margin-bottom: 30px;
				} // end li
			} // end ul
		} // end nav
	} // end header
} // end mobile
